## NOTE

echo "执行：构建调试" \
&& project_path="/home/server/repositories/repositories/sri-project.demo-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach --build \
&& sudo docker exec -it sri-server-bg03 bash

echo "执行：初装启动" \
&& project_path="/home/server/repositories/repositories/sri-project.demo-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach --build \
&& sudo docker-compose --file compose.yml logs --follow

echo "执行：开发调试" \
&& project_path="/home/server/repositories/repositories/sri-project.demo-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach \
&& sudo docker exec -it sri-server-bg03 bash

echo "执行：停服更新" \
&& project_path="/home/server/repositories/repositories/sri-project.demo-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach \
&& sudo docker-compose --file compose.yml logs --follow

echo "执行：代码更新" \
&& project_path="/home/server/repositories/repositories/sri-project.demo-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml restart \
&& sudo docker-compose --file compose.yml logs --follow

echo "执行：跟踪日志" \
&& project_path="/home/server/repositories/repositories/sri-project.demo-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml logs --follow